# Uses of Class
java.awt.desktop.AppForegroundEvent

Packages that use AppForegroundEvent
Package
Description
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.

## Uses of AppForegroundEvent in java.awt.desktop

Methods in java.awt.desktop with parameters of type AppForegroundEvent
Modifier and Type
Method
Description
`void`
AppForegroundListener.`appMovedToBackground​(AppForegroundEvent e)`
Called when the app becomes the background app and another app becomes the foreground app.
`void`
AppForegroundListener.`appRaisedToForeground​(AppForegroundEvent e)`
Called when the app becomes the foreground app.